#include "stdafx.h"
#include "../../SparAIContainer.h"
#include "../PerceptualState.h"
#include "BuildingTypeObject.h"
#include "CurrentWorld.h"

BuildingTypeObject::BuildingTypeObject(BWAPI::UnitType unitType)
  : UnitTypeObject(unitType, CurrentWorld::BuildingPrimitiveType)
{
  assert(unitType.isBuilding());

  CurrentWorld::addBuildingTypeObject(this);
}

void BuildingTypeObject::initialize()
{
  UnitTypeObject::initialize();
}
